import sys
import os
import string
forge = sys.modules["forge"]


def setup(module):
	forge.labPath = os.path.join(forge.rootPath,'lab')
	forge.includemap['lab'] = forge.labPath
	labs = []

	lab_string = os.getenv('FE_LAB')
	if lab_string != None and lab_string != "":
		labs = string.split(lab_string, ':')

	forge.cprint(forge.CYAN,1, 'Labs: %d' % len(labs))

	if not len(labs):
		forge.cprint(forge.CYAN,0,
			'use FE_LAB environment variable to specify labs to build')
	else:
		labs.sort()
		for lab in labs:
			forge.color_on(0, forge.CYAN)
			sys.stdout.write('(')
			forge.color_off()

			module.Module(lab)

			forge.color_on(1, forge.CYAN)
			sys.stdout.write(lab)
			forge.color_off()

			forge.color_on(0, forge.CYAN)
			sys.stdout.write(') ')
			forge.color_off()
		sys.stdout.write('\n')

	forge.help.append("""\
Free Electron lab specific help
Environment Variables:
FE_LAB            - build only specific lab modules
""")

